scim_panel_client.h File Reference

Defines scim::PanelClient and it's related types. More...

`#include <scim_panel_common.h>`

## Classes

class | scim::PanelClient
| PanelClient is used by FrontEnd to communicate with Panel daemon. More...

## Namespaces

namespace | scim

## Typedefs

typedef Slot1< void, int > | scim::PanelClientSlotVoid
typedef Slot2< void, int, int > | scim::PanelClientSlotInt
typedef Slot2< void, int, const String & > | scim::PanelClientSlotString
typedef Slot2< void, int, const WideString & > | scim::PanelClientSlotWideString
typedef Slot4< void, int, const String &, const String &, const Transaction & > | scim::PanelClientSlotStringStringTransaction
typedef Slot2< void, int, const KeyEvent & > | scim::PanelClientSlotKeyEvent

## Detailed Description

Defines scim::PanelClient and it's related types.

scim::PanelClient is a class used to connect with a Panel daemon. It acts like a Socket Client and handles all socket communication issues.